<?php
namespace Magento\Paypal\Block\Express\InContext\Component;

/**
 * Interceptor class for @see \Magento\Paypal\Block\Express\InContext\Component
 */
class Interceptor extends \Magento\Paypal\Block\Express\InContext\Component implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Locale\ResolverInterface $localeResolver, \Magento\Paypal\Model\ConfigFactory $configFactory, array $data = [], ?\Magento\Framework\Json\Helper\Data $jsonHelper = null)
    {
        $this->___init();
        parent::__construct($context, $localeResolver, $configFactory, $data, $jsonHelper);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
